VESPA-CLONE(1)

NAME
vespa-clone - Create files and directory structure from a Vespa sample application

SYNOPSIS
vespa clone sample-application-path target-directory [flags]

DESCRIPTION
Create files and directory structure from a Vespa sample application.

Sample applications are downloaded from https://github.com/vespa-engine/sample-apps.

By default, sample applications are cached in the user's cache directory. This directory can be overridden by setting the VESPA_CLI_CACHE_DIR environment variable.

OPTIONS
-f, --force[=false]
    Ignore cache and force downloading the latest sample application from GitHub

-h, --help[=false]
    help for clone

-l, --list[=false]
    List available sample applications

OPTIONS INHERITED FROM PARENT COMMANDS
-a, --application=""
    The application to use (cloud only). Format "tenant.application.instance" - instance is optional

-C, --cluster=""
    The container cluster to use. This is only required for applications with multiple clusters

-c, --color="auto"
    Whether to use colors in output. Must be "auto", "never", or "always"

-i, --instance=""
    The instance of the application to use (cloud only)

-q, --quiet[=false]
    Print only errors

-t, --target="local"
    The target platform to use. Must be "local", "cloud", "hosted" or an URL

-z, --zone=""
    The zone to use. This defaults to a dev zone (cloud only)

EXAMPLE
    $ vespa clone album-recommendation my-app

SEE ALSO
vespa(1)